Skip to main content
GET
/
projects
/
{projectId}
/
environments
/
{environmentId}
/
deployments
Get an environment's deployment information
curl --request GET \
  --url {schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/deployments \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "cluster_name": "<string>",
    "project_info": {
      "title": "<string>",
      "name": "<string>",
      "namespace": "<string>",
      "organization": "<string>",
      "capabilities": {},
      "settings": {}
    },
    "environment_info": {
      "name": "<string>",
      "status": "<string>",
      "is_main": true,
      "is_production": true,
      "constraints": {},
      "reference": "<string>",
      "machine_name": "<string>",
      "environment_type": "<string>",
      "links": {}
    },
    "deployment_target": "<string>",
    "vpn": {
      "version": 1,
      "aggressive": "no",
      "modeconfig": "pull",
      "authentication": "<string>",
      "gateway_ip": "<string>",
      "identity": "<string>",
      "second_identity": "<string>",
      "remote_identity": "<string>",
      "remote_subnets": [
        "<string>"
      ],
      "ike": "<string>",
      "esp": "<string>",
      "ikelifetime": "<string>",
      "lifetime": "<string>",
      "margintime": "<string>"
    },
    "http_access": {
      "is_enabled": true,
      "addresses": [
        {
          "permission": "allow",
          "address": "<string>"
        }
      ],
      "basic_auth": {}
    },
    "enable_smtp": true,
    "restrict_robots": true,
    "variables": [
      {
        "name": "<string>",
        "is_sensitive": true,
        "is_json": true,
        "visible_build": true,
        "visible_runtime": true,
        "value": "<string>"
      }
    ],
    "access": [
      {
        "entity_id": "<string>",
        "role": "admin"
      }
    ],
    "subscription": {
      "license_uri": "<string>",
      "storage": 123,
      "included_users": 123,
      "subscription_management_uri": "<string>",
      "restricted": true,
      "suspended": true,
      "user_licenses": 123,
      "plan": "2xlarge",
      "environments": 123,
      "resources": {
        "container_profiles": true,
        "production": {
          "legacy_development": true,
          "max_cpu": 123,
          "max_memory": 123,
          "max_environments": 123
        },
        "development": {
          "legacy_development": true,
          "max_cpu": 123,
          "max_memory": 123,
          "max_environments": 123
        }
      },
      "resource_validation_url": "<string>",
      "image_types": {
        "only": [
          "<string>"
        ],
        "exclude": [
          "<string>"
        ]
      }
    },
    "services": {},
    "routes": {},
    "webapps": {},
    "workers": {},
    "container_profiles": {},
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "fingerprint": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Path Parameters

projectId
string
required
environmentId
string
required

Response

default - application/json
id
string
required

The identifier of Deployment

cluster_name
string
required

The name of the cluster

project_info
Project info · object
required

The project information

environment_info
Environment info · object
required

The environment information

deployment_target
string
required

The deployment target

vpn
VPN configuration · object
required

The configuration of the VPN

http_access
HTTP access permissions · object
required

The permissions of the HTTP access

enable_smtp
boolean
required

Whether to configure SMTP for this environment

restrict_robots
boolean
required

Whether to restrict robots for this environment

variables
Environment variables · object[]
required

The variables applying to this environment

access
Access control · object[]
required

Access control definition for this enviroment

subscription
Subscription · object
required

Subscription

services
Services · object
required

The services

routes
Routes · object
required

The routes

webapps
Web applications · object
required

The Web applications

workers
Workers · object
required

The workers

container_profiles
Container profiles · object
required

The profiles of the containers

created_at
string<date-time> | null

The creation date of the deployment

updated_at
string<date-time> | null

The update date of the deployment

fingerprint
string

The fingerprint of the deployment